This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250260 - anaconda does not use official 'default' console font eurlatgr
anaconda does not use official 'default' console font eurlatgr
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 17:31 EDT by Adam Williamson
Modified: 2015-09-22 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 23.17-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-10 23:57:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-08-04 17:31:21 EDT
Per https://fedoraproject.org/wiki/Changes/NewDefaultConsoleFont Fedora's 'default' console font is supposed to be eurlatgr as of Fedora 22, but anaconda does not use it. (Prior to F22 the default was supposed to be 'latarcyrheb-sun16'; F21 anaconda does not use that either).

It seems that systemd loads the font specified in /etc/vconsole.conf if it exists, otherwise it does not load a font at all, meaning the font used will be the firmware's font. In the anaconda environment there is no /etc/vconsole.conf .

bcl posted a patch - https://paste.fedoraproject.org/251555/14387227/ - which should add a vconsole.conf and, if our theory is correct, solve this bug. I'm going to test it.

The impact of this is fairly low for most cases, except it caused me some headaches with openQA...
Comment 1 David Shea 2015-08-05 07:45:22 EDT
What about bug 1209460?
Comment 2 Fedora Update System 2015-08-07 20:57:40 EDT
lorax-23.16-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/lorax-23.16-1.fc23
Comment 3 Adam Williamson 2015-08-10 19:10:28 EDT
davidshea: the firmware font is unlikely to have any better glyph coverage than eurlatgr, so we're not likely to make anything worse by loading it.

We could try and get cute and load the appropriate font according to langtable after the user goes through the Welcome screen, I guess, but that seems like extra work and I'm not sure how critical it is; I don't think there's much need for people to use non-ASCII characters at the system console during install. I would never have noticed this if not for the openQA match problems.
Comment 4 Fedora Update System 2015-08-31 14:52:34 EDT
lorax-23.17-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lorax'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14454
Comment 5 Adam Williamson 2015-09-09 20:02:05 EDT
Confirmed fixed in 23.17-1 (i.e. Beta TC4).
Comment 6 Fedora Update System 2015-09-10 23:57:10 EDT
lorax-23.17-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.